Bug 274351 - swap doesn't work when created in LVM
swap doesn't work when created in LVM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
7
All All
low Severity low
: ---
: ---
Assigned To: Jim Parsons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-02 04:19 EDT by Bill C. Riemers
Modified: 2008-06-16 22:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:17:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill C. Riemers 2007-09-02 04:19:17 EDT
Description of problem:

I temporarily need more disk space for a scratch partition.  So I did a
"swapoff", and then removed my swap partition from my "lvm" logical volume
group.  I then created a new, slightly smaller one.

The problem is the new one would not activate at all with swapon -a.

After checking, I found system-config-lvm removed the /etc/fstab entry when I
removed the original swap, but did not add a new entry when I created the
replacement swap.  I manually created the /etc/fstab entry, and everything
worked normally, with the exception of other selinux boot related bugs I am
filing separately.

Steps to reproduce:
1. swapoff -a
2. Run "system-config-lvm"
3. Remove swap.
4. Add replacement swap.

Actual Results:

/etc/fstab entry removed, but not added again.  No label set for swap.

Expected:

If the /etc/fstab entry is automatically removed when deleting swap, it should
be added when adding swap.  There should also be an option to set the swap label.
Comment 1 Bug Zapper 2008-05-14 10:11:52 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:17:44 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.